Bug 1225596 - opendmarc 1.3.1-13.el7 depends on libspf2 which doesn't exist in RHEL7 + EPEL 7
Summary: opendmarc 1.3.1-13.el7 depends on libspf2 which doesn't exist in RHEL7 + EPEL 7
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: opendmarc   
(Show other bugs)
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Steve Jenkins
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-27 18:33 UTC by Cristian Martinez
Modified: 2015-06-13 02:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-01 21:02:23 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Cristian Martinez 2015-05-27 18:33:18 UTC
Description of problem:
opendmarc 1.3.1-13.el7 depends on libspf2 which doesn't exist in RHEL7 + EPEL 7

Version-Release number of selected component (if applicable):
1.3.1-13.el7

How reproducible:
Always


Steps to Reproduce:
1. Try to update opendmarc on RHEL7


Actual results:
Update failed.


# yum update
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: dallas.tx.mirror.xygenhosting.com
 * epel: fedora-epel.mirror.lstn.net
 * extras: centos.webxcreen.org
 * updates: centos.webxcreen.org
Resolving Dependencies
--> Running transaction check
---> Package libopendmarc.x86_64 0:1.3.1-4.el7 will be updated
---> Package libopendmarc.x86_64 0:1.3.1-13.el7 will be an update
--> Processing Dependency: libspf2.so.2()(64bit) for package: libopendmarc-1.3.1-13.el7.x86_64
---> Package opendmarc.x86_64 0:1.3.1-4.el7 will be updated
---> Package opendmarc.x86_64 0:1.3.1-13.el7 will be an update
--> Processing Dependency: libspf2.so.2()(64bit) for package: opendmarc-1.3.1-13.el7.x86_64
--> Finished Dependency Resolution
Error: Package: libopendmarc-1.3.1-13.el7.x86_64 (epel)
           Requires: libspf2.so.2()(64bit)
Error: Package: opendmarc-1.3.1-13.el7.x86_64 (epel)
           Requires: libspf2.so.2()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Expected results:
Succesful update.

Additional info:

Comment 1 Anssi Johansson 2015-05-27 19:02:21 UTC
libspf2 is in epel-testing. Try yum update opendmarc --enablerepo=epel-testing

Comment 2 Steve Jenkins 2015-05-28 16:27:51 UTC
Thanks, Cristian. I didn't realize the EPEL builds of libspf2 hadn't been pushed to stable yet. Good catch.

As suggested above, enabling the epel-testing repos for this update is a workaround, but you're right - they should be there.

mdomsch has built them all (EL5, EL6, EL7) and they're currently in testing:

https://apps.fedoraproject.org/packages/libspf2

My guess is that they simply fell off Matt's very occupied radar, so I'll add him to this bug and I'd bet he pushes them in short order. :)

Comment 3 Steve Jenkins 2015-05-30 17:22:54 UTC
Removing Matt's flag -- mentioned it in #fedora-devel IRC and nirik flagged the EL builds as stable.

https://admin.fedoraproject.org/updates/search/libspf2

I'll wait until they actually push to close this bug.

Comment 4 Steve Jenkins 2015-06-01 21:02:23 UTC
libspf2 packages for EL5, EL6, and EL7 now pushed to stable.

Thanks again for catching this, Christian.

Closing bug.

Comment 5 Matt Domsch 2015-06-13 02:03:38 UTC
Thanks Steve.  I completely missed this bug and forgot they were pending in testing.


Note You need to log in before you can comment on or make changes to this bug.